org.eclipse.lyo.client.oslc.resources

## Class AutomationResult

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.AutomationResult

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Automation Result Resource Shape",
                         describes="http://open-services.net/ns/auto#AutomationResult")
      @OslcNamespace(value="http://open-services.net/ns/auto#")
      public final class AutomationResult
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutomationResult()`
    `AutomationResult(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContribution(URI contribution)`
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addInputParameter(ParameterInstance parameter)`
    `void` | `addOutputParameter(ParameterInstance parameter)`
    `void` | `addRdfType(URI rdfType)`
    `void` | `addState(URI state)`
    `void` | `addSubject(String subject)`
    `void` | `addVerdict(URI verdict)`
    `URI[]` | `getContributions()`
    `URI[]` | `getContributors()`
    `Date` | `getCreated()`
    `URI[]` | `getCreators()`
    `URI` | `getDesiredState()`
    `String` | `getIdentifier()`
    `ParameterInstance[]` | `getInputParameters()`
    `URI` | `getInstanceShape()`
    `Date` | `getModified()`
    `ParameterInstance[]` | `getOutputParameters()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getProducedByAutomationRequest()`
    `protected URI` | `getRdfType()`
    `URI[]` | `getRdfTypes()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnAutomationPlan()`
    `URI` | `getServiceProvider()`
    `URI[]` | `getStates()`
    `String[]` | `getSubjects()`
    `String` | `getTitle()`
    `URI[]` | `getVerdicts()`
    `void` | `setContributions(URI[] contributions)`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreated(Date created)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setDesiredState(URI desiredState)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setInputParameters(ParameterInstance[] parameters)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setModified(Date modified)`
    `void` | `setOutputParameters(ParameterInstance[] parameters)`
    `void` | `setProducedByAutomationRequest(org.eclipse.lyo.oslc4j.core.model.Link producedByAutomationRequest)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setReportsOnAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnAutomationPlan)`
    `void` | `setServiceProvider(URI serviceProvider)`
    `void` | `setStates(URI[] states)`
    `void` | `setSubjects(String[] subjects)`
    `void` | `setTitle(String title)`
    `void` | `setVerdicts(URI[] verdicts)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutomationResult

          public AutomationResult()

    - #### AutomationResult

          public AutomationResult(URI about)

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### addSubject

          public void addSubject(String subject)

    - #### addState

          public void addState(URI state)

    - #### addVerdict

          public void addVerdict(URI verdict)

    - #### addContribution

          public void addContribution(URI contribution)

    - #### addInputParameter

          public void addInputParameter(ParameterInstance parameter)

    - #### addOutputParameter

          public void addOutputParameter(ParameterInstance parameter)

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the automation result.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreated

          @OslcDescription(value="Timestamp of resource creation.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public Date getCreated()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for a resource. Assigned by the service provider when a resource is created. Not intended for end-user display.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public String getIdentifier()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getModified

          @OslcDescription(value="Timestamp last latest resource modification.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/modified")
          @OslcReadOnly
          @OslcTitle(value="Modified")
          public Date getModified()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### getSubjects

          @OslcDescription(value="Tag or keyword for a resource. Each occurrence of a dcterms:subject property denotes an additional tag for the resource.")
          @OslcName(value="subject")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/subject")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Subjects")
          public String[] getSubjects()

    - #### getTitle

          @OslcDescription(value="Title (reference: Dublin Core) or often a single line summary of the resource represented as rich text in XHTML content.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### getStates

          @OslcDescription(value="Used to indicate the state of the automation result based on values defined by the service provider.")
          @OslcOccurs(value=OneOrMany)
          @OslcReadOnly(value=true)
          @OslcName(value="state")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#state")
          @OslcTitle(value="State")
          @OslcAllowedValue(value={"http://open-services.net/ns/auto#http://open-services.net/ns/auto#new","http://open-services.net/ns/auto#http://open-services.net/ns/auto#inProgress","http://open-services.net/ns/auto#http://open-services.net/ns/auto#queued","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceling","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceled","http://open-services.net/ns/auto#http://open-services.net/ns/auto#complete"})
          public URI[] getStates()

    - #### getContributions

          @OslcDescription(value="A result contribution associated with this automation result.")
          @OslcOccurs(value=ZeroOrMany)
          @OslcName(value="contribution")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#contribution")
          @OslcTitle(value="Contribution")
          public URI[] getContributions()

    - #### getVerdicts

          @OslcDescription(value="Used to indicate the verdict of the automation result based on values defined by the service provider.")
          @OslcOccurs(value=OneOrMany)
          @OslcName(value="verdict")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#verdict")
          @OslcTitle(value="Verdict")
          @OslcAllowedValue(value={"http://open-services.net/ns/auto#http://open-services.net/ns/auto#passed","http://open-services.net/ns/auto#http://open-services.net/ns/auto#failed","http://open-services.net/ns/auto#http://open-services.net/ns/auto#warning","http://open-services.net/ns/auto#http://open-services.net/ns/auto#error","http://open-services.net/ns/auto#http://open-services.net/ns/auto#unavailable"})
          public URI[] getVerdicts()

    - #### getDesiredState

          @OslcDescription(value="Used to indicate the desired state of the Automation Request based on values defined by the service provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#desiredState")
          @OslcName(value="desiredState")
          @OslcOccurs(value=ZeroOrOne)
          @OslcTitle(value="Desired State")
          @OslcAllowedValue(value={"http://open-services.net/ns/auto#http://open-services.net/ns/auto#new","http://open-services.net/ns/auto#http://open-services.net/ns/auto#inProgress","http://open-services.net/ns/auto#http://open-services.net/ns/auto#queued","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceling","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceled","http://open-services.net/ns/auto#http://open-services.net/ns/auto#complete"})
          public URI getDesiredState()

    - #### getProducedByAutomationRequest

          @OslcDescription(value="Automation Request which produced the Automation Result.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#producedByAutomationRequest")
          @OslcName(value="producedByAutomationRequest")
          @OslcOccurs(value=ZeroOrOne)
          @OslcTitle(value="Produced By Automation Request")
          public org.eclipse.lyo.oslc4j.core.model.Link getProducedByAutomationRequest()

    - #### getReportsOnAutomationPlan

          @OslcDescription(value="Automation Plan which the Automation Result reports on.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#reportsOnAutomationPlan")
          @OslcName(value="reportsOnAutomationPlan")
          @OslcOccurs(value=ExactlyOne)
          @OslcTitle(value="Reports On Automation Plan")
          public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnAutomationPlan()

    - #### getInputParameters

          @OslcDescription(value="A copy of the parameters provided during creation of the Automation Request which produced this Automation Result.")
          @OslcOccurs(value=ZeroOrMany)
          @OslcName(value="inputParameter")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#inputParameter")
          @OslcReadOnly(value=true)
          @OslcTitle(value="Input Parameter")
          public ParameterInstance[] getInputParameters()

    - #### getOutputParameters

          @OslcDescription(value="Automation Result output parameters are parameters associated with the automation execution which produced this Result. This includes the final value of all parameters used to initiate the execution and any additional parameters which may have been created during automation execution by the service provider or external agents.")
          @OslcOccurs(value=ZeroOrMany)
          @OslcName(value="outputParameter")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#outputParameter")
          @OslcTitle(value="Output Parameter")
          public ParameterInstance[] getOutputParameters()

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreated

          public void setCreated(Date created)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setModified

          public void setModified(Date modified)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

    - #### setSubjects

          public void setSubjects(String[] subjects)

    - #### setTitle

          public void setTitle(String title)

    - #### setStates

          public void setStates(URI[] states)

    - #### setVerdicts

          public void setVerdicts(URI[] verdicts)

    - #### setContributions

          public void setContributions(URI[] contributions)

    - #### setDesiredState

          public void setDesiredState(URI desiredState)

    - #### setProducedByAutomationRequest

          public void setProducedByAutomationRequest(org.eclipse.lyo.oslc4j.core.model.Link producedByAutomationRequest)

    - #### setReportsOnAutomationPlan

          public void setReportsOnAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnAutomationPlan)

    - #### setInputParameters

          public void setInputParameters(ParameterInstance[] parameters)

    - #### setOutputParameters

          public void setOutputParameters(ParameterInstance[] parameters)

Copyright © 2016. All Rights Reserved.